> ## Documentation Index
> Fetch the complete documentation index at: https://lightdash-mintlify-9d6f9427.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get account

> Get account information



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json get /api/v1/user/account
openapi: 3.0.0
info:
  title: Lightdash API
  version: 0.3249.0
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/user/account:
    get:
      tags:
        - My Account
      summary: Get account
      description: Get account information
      operationId: GetAccount
      parameters: []
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiGetAccountResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorPayload'
      security: []
components:
  schemas:
    ApiGetAccountResponse:
      properties:
        results:
          $ref: '#/components/schemas/SerializedAccount'
        status:
          type: string
          enum:
            - ok
          nullable: false
      required:
        - results
        - status
      type: object
    ApiErrorPayload:
      properties:
        error:
          properties:
            data:
              $ref: '#/components/schemas/AnyType'
              description: Optional data containing details of the error
            message:
              type: string
              description: A friendly message summarising the error
            name:
              type: string
              description: Unique name for the type of error
            statusCode:
              type: number
              format: integer
              description: HTTP status code
          required:
            - name
            - statusCode
          type: object
        status:
          type: string
          enum:
            - error
          nullable: false
      required:
        - error
        - status
      type: object
      description: |-
        The Error object is returned from the api any time there is an error.
        The message contains
    SerializedAccount:
      allOf:
        - $ref: '#/components/schemas/Omit_Account.user-or-keyofAccountHelpers_'
        - properties:
            user:
              $ref: >-
                #/components/schemas/Omit_Account-at-user.ability-or-abilityRules_
          required:
            - user
          type: object
    AnyType:
      description: |-
        This AnyType is an alias for any
        The goal is to make it easier to identify any type in the codebase
        without having to eslint-disable all the time
        These are only used on legacy `any` types, don't use it for new types.
        This is added on a separate file to avoid circular dependencies.
    Omit_Account.user-or-keyofAccountHelpers_:
      $ref: >-
        #/components/schemas/Pick_Account.Exclude_keyofAccount.user-or-keyofAccountHelpers__
      description: Construct a type with the properties of T except for those in type K.
    Omit_Account-at-user.ability-or-abilityRules_:
      $ref: >-
        #/components/schemas/Pick_Account-at-user.Exclude_keyofAccount-at-user.ability-or-abilityRules__
      description: Construct a type with the properties of T except for those in type K.
    Pick_Account.Exclude_keyofAccount.user-or-keyofAccountHelpers__:
      properties:
        organization:
          $ref: >-
            #/components/schemas/Partial_Pick_Organization.name-or-createdAt-or-organizationUuid__
        authentication:
          anyOf:
            - $ref: '#/components/schemas/SessionAuth'
            - $ref: '#/components/schemas/JwtAuth'
            - $ref: '#/components/schemas/ServiceAccountAuth'
            - $ref: '#/components/schemas/PersonalAccessTokenAuth'
            - $ref: '#/components/schemas/OauthAuth'
        requestContext:
          $ref: '#/components/schemas/AccountRequestContext'
      required:
        - organization
        - authentication
      type: object
      description: From T, pick a set of properties whose keys are in the union K
    Pick_Account-at-user.Exclude_keyofAccount-at-user.ability-or-abilityRules__:
      properties:
        id:
          type: string
          deprecated: true
        type:
          type: string
          enum:
            - registered
            - anonymous
        email:
          type: string
        isActive:
          type: boolean
      required:
        - id
        - type
        - isActive
      type: object
      description: From T, pick a set of properties whose keys are in the union K
    Partial_Pick_Organization.name-or-createdAt-or-organizationUuid__:
      properties:
        name:
          type: string
          description: The name of the organization
        createdAt:
          type: string
          format: date-time
        organizationUuid:
          type: string
          description: The unique identifier of the organization
          format: uuid
      type: object
      description: Make all properties in T optional
    SessionAuth:
      properties:
        source:
          type: string
        type:
          type: string
          enum:
            - session
          nullable: false
      required:
        - source
        - type
      type: object
    JwtAuth:
      properties:
        source:
          type: string
        data:
          $ref: '#/components/schemas/CreateEmbedJwt'
        type:
          type: string
          enum:
            - jwt
          nullable: false
      required:
        - source
        - data
        - type
      type: object
    ServiceAccountAuth:
      properties:
        serviceAccountDescription:
          type: string
        serviceAccountUuid:
          type: string
        source:
          type: string
        type:
          type: string
          enum:
            - service-account
          nullable: false
      required:
        - serviceAccountDescription
        - serviceAccountUuid
        - source
        - type
      type: object
    PersonalAccessTokenAuth:
      properties:
        source:
          type: string
        type:
          type: string
          enum:
            - pat
          nullable: false
      required:
        - source
        - type
      type: object
    OauthAuth:
      properties:
        resource:
          $ref: '#/components/schemas/url.URL'
        expiresAt:
          type: number
          format: double
        scopes:
          items:
            type: string
          type: array
        clientId:
          type: string
        token:
          type: string
        source:
          type: string
        type:
          type: string
          enum:
            - oauth
          nullable: false
      required:
        - scopes
        - clientId
        - token
        - source
        - type
      type: object
    AccountRequestContext:
      properties:
        requestId:
          type: string
        userAgent:
          type: string
        ip:
          type: string
      type: object
      description: >-
        Per-request metadata captured by the auth middleware. Used by the audit
        log

        to record the IP, user agent and request id alongside permission checks.
    CreateEmbedJwt:
      properties:
        exp:
          type: number
          format: double
        iat:
          type: number
          format: double
        expiresIn:
          type: string
        user:
          properties:
            externalId:
              type: string
            email:
              type: string
          type: object
        userAttributes:
          properties: {}
          additionalProperties:
            type: string
          type: object
        writeActions:
          $ref: '#/components/schemas/EmbedWriteActions'
        content:
          anyOf:
            - $ref: '#/components/schemas/EmbedJwtContentDashboardUuid'
            - $ref: '#/components/schemas/EmbedJwtContentDashboardSlug'
            - $ref: '#/components/schemas/EmbedJwtContentChart'
            - $ref: '#/components/schemas/EmbedJwtContentDataApp'
            - $ref: '#/components/schemas/EmbedJwtContentAiAgent'
            - $ref: '#/components/schemas/EmbedJwtContentApiAccess'
      required:
        - content
      type: object
    url.URL:
      type: string
      description: "The URL\_interface represents an object providing static methods used for creating object URLs.\n\n[MDN Reference](https://developer.mozilla.org/docs/Web/API/URL)\n`URL` class is a global reference for `import { URL } from 'url'`\nhttps://nodejs.org/api/url.html#the-whatwg-url-api"
    EmbedWriteActions:
      properties:
        spaceUuid:
          type: string
        userUuid:
          type: string
        serviceAccountUserUuid:
          type: string
      required:
        - spaceUuid
      type: object
    EmbedJwtContentDashboardUuid:
      allOf:
        - $ref: '#/components/schemas/CommonEmbedJwtContent'
        - properties:
            dashboardUuid:
              type: string
          required:
            - dashboardUuid
          type: object
    EmbedJwtContentDashboardSlug:
      allOf:
        - $ref: '#/components/schemas/CommonEmbedJwtContent'
        - properties:
            dashboardSlug:
              type: string
          required:
            - dashboardSlug
          type: object
    EmbedJwtContentChart:
      allOf:
        - $ref: '#/components/schemas/CommonChartEmbedJwtContent'
        - properties:
            contentId:
              type: string
          required:
            - contentId
          type: object
    EmbedJwtContentDataApp:
      allOf:
        - $ref: '#/components/schemas/CommonDataAppEmbedJwtContent'
        - properties:
            appUuid:
              type: string
          required:
            - appUuid
          type: object
    EmbedJwtContentAiAgent:
      properties:
        agentUuid:
          type: string
        projectUuid:
          type: string
        type:
          type: string
          enum:
            - aiAgent
          nullable: false
      required:
        - agentUuid
        - type
      type: object
    EmbedJwtContentApiAccess:
      properties:
        serviceAccountUserUuid:
          type: string
        projectUuid:
          type: string
        type:
          type: string
          enum:
            - apiAccess
          nullable: false
      required:
        - serviceAccountUserUuid
        - type
      type: object
    CommonEmbedJwtContent:
      properties:
        stickyHeader:
          type: boolean
        canViewDataApps:
          type: boolean
        canViewUnderlyingData:
          type: boolean
        canExplore:
          type: boolean
        canExportPagePdf:
          type: boolean
        canDateZoom:
          type: boolean
        canExportImages:
          type: boolean
        canExportCsv:
          type: boolean
        parameterInteractivity:
          properties:
            enabled:
              type: boolean
          required:
            - enabled
          type: object
        dashboardFiltersInteractivity:
          properties:
            hidden:
              type: boolean
            allowedFilters:
              items:
                type: string
              type: array
              nullable: true
            enabled:
              anyOf:
                - $ref: '#/components/schemas/FilterInteractivityValues'
                - type: boolean
          required:
            - enabled
          type: object
        isPreview:
          type: boolean
        projectUuid:
          type: string
        type:
          type: string
          enum:
            - dashboard
          nullable: false
      required:
        - type
      type: object
    CommonChartEmbedJwtContent:
      properties:
        canViewUnderlyingData:
          type: boolean
        canExportImages:
          type: boolean
        canExportCsv:
          type: boolean
        parameterInteractivity: {}
        dashboardFiltersInteractivity: {}
        scopes:
          items:
            type: string
          type: array
        isPreview:
          type: boolean
        projectUuid:
          type: string
        type:
          type: string
          enum:
            - chart
          nullable: false
      required:
        - type
      type: object
    CommonDataAppEmbedJwtContent:
      properties:
        parameterInteractivity: {}
        dashboardFiltersInteractivity: {}
        isPreview:
          type: boolean
        projectUuid:
          type: string
        type:
          type: string
          enum:
            - dataApp
          nullable: false
      required:
        - type
      type: object
    FilterInteractivityValues:
      enum:
        - some
        - all
        - none
      type: string

````